package org.ucam.srcf.assassins.strawberry;

import org.ucam.srcf.assassins.Debug;

/**
 * Class to perform raising to the power operations.
 */
class Power extends Operator {
	protected static int precedence=50;
	protected static char character='^';

	public double evaluate(double lval, double rval) {
		if(Debug.debug) Debug.print(this, lval+" ^ "+rval + " = "+Math.pow(lval,rval));
		return Math.pow(lval, rval);
	}

	public static int getPrecedence() {
      return precedence;
   }

	public static char getCharacter() {
      return character;
   }
}
